﻿
@{
    Layout = null;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Admin</title>
    <script src="~/Data/js/popper.min.js"></script>
    <link rel="stylesheet" href="~/Data/css/bootstrap.min.css">
    <script src="~/Data/js/jquery.min.js"></script>
    <script src="~/Data/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="~/Data/css/font-awesome.min.css">

    <style>
        body {
            color: #566787;
            background: #f5f5f5;
            font-family: 'Varela Round', sans-serif;
            font-size: 13px;
        }

        .content-responsive {
            margin: 10px 0;
            padding-left: 10px;
            padding-right: 10px;
        }

        .title-wraper {
            min-width: 1000px;
            background: #fff;
            padding-top: 20px;
            padding-bottom: 5px;
            padding-left: 25px;
            padding-right: 25px;
            border-radius: 3px;
            box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
        }

        .add-element {
            background: #edf6f9;
            padding-left: 10px;
            padding-right: 10px;
            padding-top: 10px;
        }

        .table-wrapper {
            min-width: 1000px;
            background: #fff;
            margin-top: 20px;
            padding: 20px 25px;
            border-radius: 3px;
            box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
        }

        .table-title h2 {
            margin: 5px 0 0;
            font-size: 24px;
        }

        .table-title .btn {
            color: #566787;
            float: right;
            font-size: 13px;
            background: #fff;
            border: none;
            min-width: 50px;
            border-radius: 2px;
            border: none;
            outline: none !important;
            margin-left: 10px;
        }

            .table-title .btn:hover,
            .table-title .btn:focus {
                color: #566787;
                background: #f2f2f2;
            }

            .table-title .btn i {
                float: left;
                font-size: 21px;
                margin-right: 5px;
            }

            .table-title .btn span {
                float: left;
                margin-top: 2px;
            }

        .table-title1 {
            padding-left: 10px;
            padding-right: 10px;
            background: #ffffff;
            color: #000000;
            border-radius: 3px 3px 0 0;
        }

            .table-title1 h2 {
                font-size: 24px;
            }

            .table-title1 .btn {
                color: #ffffff;
                float: right;
                font-size: 13px;
                background: #fff;
                border: none;
                min-width: 50px;
                border-radius: 2px;
                border: none;
                outline: none !important;
                margin-left: 10px;
            }

                .table-title1 .btn:hover,
                .table-title1 .btn:focus {
                    color: #9c8c8c;
                    background: #f2f2f2;
                }

                .table-title1 .btn i {
                    float: left;
                    font-size: 21px;
                    margin-right: 5px;
                }

                .table-title1 .btn span {
                    float: left;
                }

        table.table tr th,
        table.table tr td {
            border-color: #e9e9e9;
            padding: 12px 15px;
            vertical-align: middle;
        }

            table.table tr th:first-child {
                width: 60px;
            }

            table.table tr th:last-child {
                width: 100px;
            }

        table.table-striped tbody tr:nth-of-type(odd) {
            background-color: #fcfcfc;
        }

        table.table-striped.table-hover tbody tr:hover {
            background: #f5f5f5;
        }

        table.table th i {
            font-size: 13px;
            margin: 0 5px;
            cursor: pointer;
        }

        table.table td:last-child i {
            opacity: 0.9;
            font-size: 22px;
            margin: 0 5px;
        }

        table.table td a {
            font-weight: bold;
            color: #566787;
            display: inline-block;
            text-decoration: none;
        }

            table.table td a:hover {
                color: #2196F3;
            }

            table.table td a.settings {
                color: #2196F3;
            }

            table.table td a.delete {
                color: #F44336;
            }

        table.table td i {
            font-size: 19px;
        }

        table.table .avatar {
            border-radius: 50%;
            vertical-align: middle;
            margin-right: 10px;
        }

        .status {
            font-size: 30px;
            margin: 2px 2px 0 0;
            display: inline-block;
            vertical-align: middle;
            line-height: 10px;
        }

        .text-success {
            color: #10c469;
        }

        .text-info {
            color: #62c9e8;
        }

        .text-warning {
            color: #FFC107;
        }

        .text-danger {
            color: #ff5b5b;
        }

        .pagination {
            float: right;
            margin: 0 0 5px;
        }

            .pagination li a {
                border: none;
                font-size: 13px;
                min-width: 30px;
                min-height: 30px;
                color: #999;
                margin: 0 2px;
                line-height: 30px;
                border-radius: 2px !important;
                text-align: center;
                padding: 0 6px;
            }

                .pagination li a:hover {
                    color: #666;
                }

            .pagination li.active a,
            .pagination li.active a.page-link {
                background: #03A9F4;
            }

                .pagination li.active a:hover {
                    background: #0397d6;
                }

            .pagination li.disabled i {
                color: #ccc;
            }

            .pagination li i {
                font-size: 16px;
                padding-top: 6px
            }

        .hint-text {
            float: left;
            margin-top: 10px;
            font-size: 13px;
        }
    </style>
    <style>
        .logo {
            display: flex;
            justify-content: center;
        }

        .vertical-nav {
            min-width: 14rem;
            width: 14rem;
            height: 100vh;
            position: fixed;
            top: 0;
            left: 0;
            box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.1);
            transition: all 0.4s;
        }

        .counter {
            background-color: #ff3c7e;
            border-radius: 50px;
            color: #fff;
            font-size: 10px;
            line-height: 1;
            padding: 3px 5.5px;
            position: absolute;
            margin-left: 50px,
        }

        .nav-link:hover {
            background-color: #dddddd;
        }

        .nav-item {
            border-radius: 20px;
            height: 3rem;
            margin: 10px 10px;
            padding-top: 12px;
        }

        .nav-selected {
            background-color: #eddcd2;
        }

        .nav-text {
            display: flex;
            justify-content: center;
            align-items: center;
            align-self: center;
            font-size: 14px;
            font-family: cursive;
        }

        .page-content {
            width: calc(100% - 14rem);
            margin-left: 14rem;
            transition: all 0.4s;
        }

        /* for toggle behavior */

        #sidebar.active {
            margin-left: -14rem;
        }

        #content.active {
            width: 100%;
            margin: 0;
        }

        @@media (max-width: 1000px) {
            #sidebar {
                margin-left: -14rem;
            }

                #sidebar.active {
                    margin-left: 0;
                }

            #content {
                width: 100%;
                margin: 0;
            }

                #content.active {
                    margin-left: 14rem;
                    width: calc(100% - 14rem);
                }
        }

        /*
        *
        * ==========================================
        * FOR DEMO PURPOSE
        * ==========================================
        *
        */

        body {
            background: #eeeeee;
            min-height: 100vh;
            overflow-x: hidden;
        }

        .separator {
            margin: 3rem 0;
            border-bottom: 1px dashed #fff;
        }

        .text-uppercase {
            letter-spacing: 0.1em;
        }

        .text-gray {
            color: #aaa;
        }
    </style>
    <script>
        $(document).ready(function () {
            $('[data-toggle="tooltip"]').tooltip();
        });
    </script>
</head>

<body>
    <div class="vertical-nav bg-white" id="sidebar">
        <div class="py-4 px-3 mb-4 bg-white logo border-bottom">
            <img src="~/Data/static/images/logo.jpg" alt="..." width="100">
        </div>

        <ul class="nav flex-column bg-white mb-0">
            <li>
                <a href="" class="nav-item nav-link text-dark nav-selected d-flex">
                    <i class="fa fa-home mr-3 text-primary fa-fw fa-2x"></i>
                    <div class="nav-text">
                        Quản lý nhân viên
                    </div>
                </a>
            </li>
            <li>
                <a href="Department" class="nav-item nav-link text-dark d-flex">
                    <i class="fa fa-th-large mr-3 text-primary fa-fw fa-2x"></i>
                    <div class="nav-text">
                        Quản lý phòng ban
                    </div>
                </a>
            </li>
            <li>
                <a href="#" class="nav-item nav-link text-dark d-flex">
                    <i class="fa fa-cubes mr-3 text-primary fa-fw fa-2x"></i>
                    <div class="nav-text">
                        Lịch sử
                    </div>
                </a>
            </li>
        </ul>
    </div>
    <div class="page-content" id="content">
        <div>
            <div class="title-wraper">
                <div class="table-title1">
                    <div class="d-flex justify-content-between">
                        <div class="col-xs-5">
                            <i class="fa fa-bars mr-3 text-primary fa-fw fa-2x"></i>
                        </div>
                        <div class='d-flex flex-row'>
                            <ul class='flex-row'>
                                <span class="counter bgc-red">3</span>
                                <i class="fa fa-bell-o mr-3 text-primary fa-fw fa-2x"></i>
                            </ul>
                            <h6 style="padding-top: 5px">Hi Admin</h6>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="content-responsive">
            <div class="d-flex ml-3" style="height: 40px">
                <div class="row">
                    <div class="d-flex align-self-center">
                        <h5 style="white-space: pre;">Tên</h5>
                    </div>
                    <input id="staffName" type="text" class="ml-1" placeholder="">
                    <div class="d-flex align-self-center">
                        <h5 style="white-space: pre;">Mã NV</h5>
                    </div>
                    <input id="staffId" type="text" class="ml-1" placeholder="">
                    <select id="departmentSelect" class="ml-2">
                    </select>
                </div>

                <!-- Create button -->
                <div class="row justify-content-center align-self-center ml-5">
                    <button id="createOrUpdateUserBtn" class="btn btn-info my-4 btn-block" type="submit">Tạo..</button>
                </div>


            </div>
            <div class="table-wrapper">
                <div class="d-flex flex-row justify-content-between">
                    <h3>Danh sách nhân viên</h3>
                    <ul class="pagination">
                        <li class="page-item disabled"><a href="#">Previous</a></li>
                        <li class="page-item"><a href="#" class="page-link">1</a></li>
                        <li class="page-item"><a href="#" class="page-link">2</a></li>
                        <li class="page-item active"><a href="#" class="page-link">3</a></li>
                        <li class="page-item"><a href="#" class="page-link">4</a></li>
                        <li class="page-item"><a href="#" class="page-link">5</a></li>
                        <li class="page-item"><a href="#" class="page-link">Next</a></li>
                    </ul>
                </div>
                <table class="table table-striped table-hover">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Tên nhân viên</th>
                            <th>Phòng</th>
                            <th>Chức vụ</th>
                            <th>Hành động</th>
                        </tr>
                    </thead>
                    <tbody id="staffTable">
                        
                    </tbody>
                </table>

            </div>

        </div>
    </div>
    <script>
        function departmentFromId(data, index) {
            console.log('departmentFromId');
            let i = 0;
            while (i < data[1].length) {
                if (data[1][i].departmentId == data[0][index].departmentId) {
                    console.log(data[1][i].stationeryManagerId + ' ' + data[0][index].staffId);
                    if (data[1][i].stationeryManagerId == data[0][index].staffId) {
                        return ["Manager", data[1][i].departmentName];
                    }
                    else return ["User", data[1][i].departmentName];
                }
                i++;
            }
        }
        function updateStaffTable(data) {
            console.log('updateStaffTable');
            let staffTableObject = document.getElementById('staffTable');
            let contentStr = "";

            let i = 0;
            while (i < data[0].length) {                
                let departmentInfo = departmentFromId(data, i);
                contentStr += '<tr><td>' + data[0][i].staffId +'</td><td>' + data[0][i].staffName + '</td><td>' + departmentInfo[1] + '</td><td><a>' + departmentInfo[0] + '</a></td><td><div class="d-flex flex-row"><a href="#" class="settings" title="Chỉnhsửa" data-toggle="tooltip"><i class="fa fa-pencil-square-o text-primary fa-fw fa-2x"></i></a > <a href="#" class="delete" title = "Xóa" data - toggle="tooltip" > <i class="fa fa-trash fa-fw fa-2x"></i></a></div></td></tr>'
                i++;
            }
            //console.log(contentStr);
            staffTableObject.innerHTML = contentStr;
        }
        function updateDepartmentSelect(data) {
            console.log('updateDepartmentSelect');
            let departmentSelectObj = document.getElementById('departmentSelect');
            let contentStr = "";

            let i = 0;
            while (i < data[1].length) {
                contentStr += "<option value=\"" + data[1][i].departmentId + "\">" + data[1][i].departmentName + "</option>";
                i++;
            }

            departmentSelectObj.innerHTML = contentStr;
        }

        function createOrUpdateUser() {
            console.log('createOrUpdateUser');
            if ((document.getElementById("staffId").value == "") ||
                (document.getElementById("staffName").value == "")||
                (isNaN(document.getElementById("staffId").value) == true)) {
                alert("Hãy điền đầy đủ thông tin!!");
            }

            let e = document.getElementById("departmentSelect");
            let departmentSelect = e.options[e.selectedIndex].value;            

            let obj = {
                staffId: parseInt(document.getElementById("staffId").value),
                staffName: document.getElementById("staffName").value,
                departmentId: parseInt(departmentSelect),
            };
            console.log(obj);
            $.ajax({
                url: "/Admin/CreateStaff",
                data: JSON.stringify(obj),
                type: "POST",
                contentType: "application/json;charset=utf-8",
                dataType: "json",
                success: function (result) {
                    //console.log(result);
                    objReturn = JSON.parse(result);
                    console.log(objReturn);
                },
                error: function (errormessage) {
                    console.log(errormessage);
                }
            });
        }

        $(document).ready(function () {
            let obj = {
                status: "GetData",
            };
            $.ajax({
                url: "/Admin/GetStaffandDepartment",
                data: JSON.stringify(obj),
                type: "POST",
                contentType: "application/json;charset=utf-8",
                dataType: "json",
                success: function (result) {
                    //console.log(result);
                    objReturn = JSON.parse(result);
                    console.log(objReturn);

                    updateStaffTable(objReturn);
                    updateDepartmentSelect(objReturn);
                },
                error: function (errormessage) {
                    console.log(errormessage);
                }
            });

            $(document).ready(function () {
                document.getElementById('createOrUpdateUserBtn').addEventListener("click", createOrUpdateUser);
            });
        });
    </script>
</body>

</html>